version: '3.4'

services:
  server:
    build: .
    ports:
      - "3000:3000"
    volumes:
      - '.:/usr/src/web'
      - 'dependencies:/usr/src/web/node_modules'
    env_file:
      - '.env'
    environment:
      - NATS_PRESENT=false
    depends_on:
      - hackdb

  hackdb:
    image: 'postgres:10.4-alpine'
    restart: always
    environment:
      POSTGRES_USER: 'root'
      POSTGRES_PASSWORD: 'cenha'
    volumes:
      - db:/var/lib/postgresql/data
    ports:
      - "5433:5433"
    command: "postgres -p 5433"

volumes:
  db:
  dependencies:
